import {
  HostComponent,
  requireNativeComponent,
  Platform,
  type ViewStyle,
  NativeModules
} from 'react-native';
import {

} from 'react-native';


type MapViewManagerProps = {
  style: ViewStyle;
};

let componentName = 'UnknownComponent';
if (Platform.OS == 'android'){
  componentName = 'MapViewManager';
}else if (Platform.OS == 'ios'){
  componentName = 'jibestreamMap';
}

  function getMapViewManager(): HostComponent<MapViewManagerProps> | null {
    try {
      return requireNativeComponent<MapViewManagerProps>(componentName);
    } catch (e) {
      return null;
    }
  }

  export const MapViewManager = getMapViewManager();
  export const CTPEventEmitter = NativeModules.CTPEventEmitter;
